Bug 890982 - create db fails on rhel 6.4 using postgresql-8.4.13-1.el6_3.x86_64
create db fails on rhel 6.4 using postgresql-8.4.13-1.el6_3.x86_64
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
x86_64 Linux
urgent Severity urgent
: ---
: 3.2.0
Assigned To: Eli Mesika
Pavel Stehlik
infra
:
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-12-31 09:58 EST by Eyal Edri
Modified: 2016-02-10 14:04 EST (History)
10 users (show)

See Also:
Fixed In Version: sf3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 10529 None None None Never

  None (edit)
Description Eyal Edri 2012-12-31 09:58:23 EST
Description of problem:
create_db.sh fails :

Running  upgrade sql script upgrade/03_02_0170_add_admin_internal_user_role_system.sql ...
Running  upgrade sql script upgrade/03_02_0180_add_pm_proxy_preferences.sql ...
Running  upgrade sql script upgrade/03_02_0190_add_vds_hardware_info.sql ...
Running  upgrade sql script upgrade/03_02_0200_add_vm_generation_columns.sql ...
Running  upgrade sql script upgrade/03_02_0210_add_external_events.sql ...
Running  upgrade sql script upgrade/03_02_0220_add_pm_multi_agent_support.sql ...
Running  upgrade sql script upgrade/03_02_0230_extend_lun_size.sql ...
Creating views...
Creating stored procedures...
Creating stored procedures from action_version_map_sp.sql ...
Creating stored procedures from ad_groups_sp.sql ...
Creating stored procedures from all_disks_sp.sql ...
Creating stored procedures from async_tasks_sp.sql ...
Creating stored procedures from audit_log_sp.sql ...
psql:audit_log_sp.sql:105: ERROR:  "$6" is declared CONSTANT
CONTEXT:  compilation of PL/pgSQL function "insertexternalauditlog" near line 10


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.run create_db.sh on rhel 6.4 
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Eli Mesika 2012-12-31 10:31:30 EST
http://gerrit.ovirt.org/#/c/10529/1
Comment 2 Eli Mesika 2012-12-31 10:38:04 EST
fixed in commit : 1123fd6
Comment 4 Itamar Heim 2013-06-11 04:29:16 EDT
3.2 has been released
Comment 5 Itamar Heim 2013-06-11 04:29:16 EDT
3.2 has been released
Comment 6 Itamar Heim 2013-06-11 04:31:58 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.